Subject: Re: Flows! Offload them.

From: Sowmini Varadhan <[email-masked]>
Date: Thu, 26 Feb 2015 06:22:52 -0500

On (02/26/15 08:42), Jiri Pirko wrote:
> 6) implement "named sockets" (working name) and implement TC support for that
>     -ingress qdisc attach, act_mirred target
> 7) allow tunnels (VXLAN, Geneve, GRE) to be created as named sockets

Can you elaborate a bit on the above two?

FWIW I've been looking at the problem of RDS over TCP, which is
an instance of layered sockets that tunnels the application payload
in TCP. 

RDS over IB provides QoS support using the features available in
IB- to supply an analog of that for RDS-TCP, you'd need to plug
into tc's CBQ support, and also provide hooks for packet (.1p, dscp)
marking. 

Perhaps there is some overlap to what you are thinking of in #6 and #7 
above?

--Sowmini